Holger's Java API

## com.antelmann.util
Interface Wrapped<T>

All Known Subinterfaces:
  ProcessedFilterOption<T>

All Known Implementing Classes:
  AddressableMapper, AppendableLogWriter, ArchiveDBClassStore, AsynchLogWriter, BinaryData, CategoryNode, CategoryStore, Cell, ConnectionHelper, ConnectionWrapper, ConsoleLog, ConvertedObjectTableModel, ConvertedTableModel, CurrencyUnit, DBClassStoreCache, DBDocumentStore, DelayedTask, DriverWrapper, FilteredTableModel, FriendsEntryStore, GPersonStore, ImageURLEntrySQLStore, IteratorQueue, JSearchTree, LockManager, LoggerWriter, MessageEntry, MovableTableModel, MSAccessHelper, MySQLHelper, ObjectTableModelView, ObjectTableModelWrapper, OfficeElementTreeNode, OffsetFilter, OOTableWriter, PerformanceMonitor, Placeholder, PropertyEntryHeaderStore, PropertyEntryTableStore, ReadOnlyCacheStore, ReadOnlyStore, ReferenceHolder, ResultSetTableModel, RowNumberTableModel, RSSChannel, RSSItem, SIBaseUnit, SoftHolder, SortableTableModel, SortedGroupableSQLStore, SQLColumnInfoStore, SQLFetchSizeFilter, SQLServerHelper, StoreUpdateTableModel, SubTreeModel, TableModelRenderer, TableModelView, TableModelWrapper, TaggableHeaderStore, TaggablePropertyEntrySQLStore, TaggableSQLStore, TransactionalNumberGenerator, TransposedTableModel, UnionSqlStore, UserImplStore, VerboseFilter.Adapter, WeakHolder, WrappedDBClassStore, WrappedDBClassStoreMapping, WrappedObjectRowMapper, WrappedTableCellRenderer, XmlHelper

    public interface Wrapped<T>

indicates that this is a wrapper around another object

Since:
  08.10.2009, 16:43:01
Author:
  Holger Antelmann
See Also:
  `Misc.unwrap(Object, Class)`

Method Summary
`T` `unwrap()` returns the embedded instance that this wrapper encloses

Method Detail

### unwrap

    T unwrap()

  returns the embedded instance that this wrapper encloses

(c) Holger Antelmann since 2001- all rights reserved (contact: info@antelmann.com)
see www.antelmann.com/developer for further details and available downloads